#!/usr/bin/make -f
PACKAGE_NAME := bes2600
PACKAGE_VERSION := 0.1

install:
	dkms add .
	dkms install $(PACKAGE_NAME)/$(PACKAGE_VERSION)

uninstall:
	dkms uninstall $(PACKAGE_NAME)/$(PACKAGE_VERSION) || true
	dkms remove $(PACKAGE_NAME)/$(PACKAGE_VERSION) --all  || true
	rm -r /usr/src/$(PACKAGE_NAME)-$(PACKAGE_VERSION) || true

load:
	@test -n "$$(dkms status bes2600/0.1)" || { echo 'Please run `make -f Makefile.dkms install` first.'; false; }
	modprobe bes2600

unload:
	rmmod bes2600

.PHONY: install uninstall load unload
